Name: openbox
Version: 3.4.7.2
Release: alt1

Summary: Openbox is a standards compliant, fast, light-weight, extensible window manager
Summary(ru_RU.UTF-8): Openbox это следующий стандартам, быстрый, лёгкий, расширяемый оконный менеджер
License: GPL v2 or later
Group: Graphical desktop/Other
Url: http://www.icculus.org/openbox/

Packager: Igor Zubkov <icesik@altlinux.org>

Source0: %name-%version.tar.gz
Source2: %name-icons.tar.bz2
Source3: %name.menu
Source4: %name.menu-method
Source5: %name.wmsession

# Debian
Source11: kdetrayproxy.pod
Source12: gnome-panel-control.pod
Source13: menu.xml

# ALT Linux
Patch2: %name-alt-menu-rc.xml.in.patch
Patch3: %name-3.3.1-alt-TheBear-theme.patch
Patch4: %name-3.4.4-alt-TheBear-theme-2.patch

Requires: lib%name = %version-%release
# for menu "Run" item
Requires: Xdialog

# Automatically added by buildreq on Wed Apr 16 2008 (-bi)
BuildRequires: cvs gcc-c++ imake libSM-devel libXcursor-devel libXinerama-devel libXrandr-devel libpango-devel libstartup-notification-devel libxml2-devel xorg-cf-files

%description
Openbox is a standards compliant, fast, light-weight, extensible window manager.
Openbox works with your applications, and makes your desktop easier to manage.
This is because the approach to its development was the opposite of what seems
to be the general case for window managers. Openbox was written first to comply
with standards and to work properly. Only when that was in place did the team
turn to the visual interface.
Openbox is fully functional as a stand-alone working environment, or can be
usedas a drop-in replacement for the default window manager in the GNOME or KDE
desktop environments.

%package -n lib%name
Summary: Openbox libraries
Group: System/Libraries

%description -n lib%name
This package contains libraries for Openbox window manager:
libobparser - Openbox config file parsing library,
libobrender - Openbox Render Library.

%package -n lib%name-devel
Summary: Development files for Openbox
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the header files and libraries for
developing with Openbox window manager.

%package -n lib%name-devel-static
Summary: Development static library for Openbox
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries for developing with
Openbox window manager.

%prep
%setup -q -a2
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%autoreconf
%configure \
	--disable-rpath \
	--disable-static
%make_build

cp %SOURCE11 .
cp %SOURCE12 .

pod2man --section=1 --release=%version --center "Openbox documentation" kdetrayproxy.pod > kdetrayproxy.1
pod2man --section=1 --release=%version --center "Openbox documentation" gnome-panel-control.pod > gnome-panel-control.1

%install
%make_install DESTDIR=%buildroot install

rm -rf %buildroot%_datadir/doc/

# manual pages
mkdir -p %buildroot%_man1dir/
install -pD -m 644 kdetrayproxy.1 %buildroot%_man1dir/
install -pD -m 644 gnome-panel-control.1 %buildroot%_man1dir/

# icons
install -pD -m 644 %name-64.xpm %buildroot%_iconsdir/OpenBox.xpm
install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

# Menu isn't cooked yet, because it's hard to implement menu-method
# for Openbox XML based menu
install -pD -m 755 %SOURCE4 %buildroot%_sysconfdir/menu-methods/%name
install -pD -m 644 %SOURCE5 %buildroot%_sysconfdir/X11/wmsession.d/09%name

mkdir -p %buildroot%_sysconfdir/xdg/openbox/

install -pD -m 644 %SOURCE13 %buildroot%_sysconfdir/xdg/openbox/

%find_lang --output=%name.lang %name

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS CHANGELOG COMPLIANCE README
%doc data/menu.xsd doc/rc-mouse-focus.xml data/rc.xsd data/xbm
%_sysconfdir/xdg/openbox/*
%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*
%_bindir/*
%_man1dir/*
%_libdir/openbox/xdg-autostart
%_datadir/gnome/wm-properties/*
%_datadir/pixmaps/*
%_datadir/themes/*
%_liconsdir/%name.xpm
%_iconsdir/%name.xpm
%_iconsdir/OpenBox.xpm
%_miconsdir/%name.xpm
%_datadir/xsessions/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_pkgconfigdir/*
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 3.4.7.2-alt1
- 3.4.7.1 -> 3.4.7.2

* Thu Apr 17 2008 Igor Zubkov <icesik@altlinux.org> 3.4.7.1-alt1
- 3.4.7 -> 3.4.7.1

* Wed Apr 16 2008 Igor Zubkov <icesik@altlinux.org> 3.4.7-alt1
- 3.4.6.1 -> 3.4.7
- buildreq

* Thu Feb 21 2008 Igor Zubkov <icesik@altlinux.org> 3.4.6.1-alt1
- 3.4.5 -> 3.4.6.1

* Tue Jan 08 2008 Igor Zubkov <icesik@altlinux.org> 3.4.5-alt1
- 3.4.4 -> 3.4.5

* Wed Nov 14 2007 Igor Zubkov <icesik@altlinux.org> 3.4.4-alt2
- bump release

* Tue Nov 13 2007 Igor Zubkov <icesik@altlinux.org> 3.4.4-alt1
- 3.3.1 -> 3.4.4
- "Run" and "Terminal" menu items (bga@)
- buildreq

* Tue Nov 13 2007 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt6
- clean up spec file

* Wed May 23 2007 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt5
- buildreq to fix rebuild

* Tue Apr 10 2007 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt4
- add TheBear theme from old openbox source package (closes #11379)

* Thu Nov 02 2006 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt3
- add menu method from debian (closes #10332)

* Sat Oct 28 2006 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt2
- sync with debian openbox_3.3-2
  + add manual pages (closes #10333)

* Fri Sep 08 2006 Igor Zubkov <icesik@altlinux.ru> 3.3.1-alt1
- 3.3 -> 3.3.1
- buildreq

* Wed Sep 06 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt4
- s/ru_RU.KOI8-R/ru_RU.UTF-8/
- buildreq

* Tue Aug 29 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt3
- 3.3rc2 -> 3.3
- convert spec to utf-8

* Fri May 26 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt2.rc2
- x86_64 fix

* Fri Mar 17 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt1.rc2
- 3.3rc2
- move binary from /usr/X11R6/bin/ to /usr/bin/
- update url
- buildreq
- fix build with new ld / -Wl,--as-needed

* Thu Jan 22 2004 Anton V. Denisov <avd@altlinux.org> 3.1-alt1.1
- BuildRequires tuned by hands in hope what
  /usr/lib/pkgconfig/xft.pc is in XFree86-devel package in
  current Sisyphus (I have ALT Linux Sisyphus (20030704)).

* Tue Jan 20 2004 Anton V. Denisov <avd@altlinux.org> 3.1-alt1
- Initial release for ALT Linux Sisyphus.
- TODO:
  + Menu system (it's hard because Openbox use XML based menu);
  + Russian translation for %%description.
